# Class: ListManager

Defined in: | lib/Types/StructuredTypes.coffee
Inherits: | types.Insert

## Overview

Manages a list of Insert-type operations.

## Direct Known Subclasses

ReplaceManager

## Instance Method Summary

- # (void) getLastOperation() Get the element previous to the delemiter at the end
- # (void) getFirstOperation() similar to the above
- # (void) toArray() Transforms the the list to an array Doesn't return left-right delimiter.
- # (void) getOperationByPosition(position) Retrieves the x-th not deleted element.

## Constructor Details

# (void) constructor(uid, beginning, end, prev, next, origin)

A ListManager maintains a non-empty list that has a beginning and an end (both Delimiters!)

### Parameters:

- uid ( `Object` ) — A unique identifier. If uid is undefined, a new uid will be created.
- beginning ( `Delimiter` ) — Reference or Object.
- end ( `Delimiter` ) — Reference or Object.

## Instance Method Details

# (void) getLastOperation()

Get the element previous to the delemiter at the end

# (void) getFirstOperation()

similar to the above

# (void) toArray()

Transforms the the list to an array Doesn't return left-right delimiter.

# (void) getOperationByPosition(position)

Retrieves the x-th not deleted element.

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input